#
# spec file for package perl-DublinCore-Record
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-DublinCore-Record
%define        real_name DublinCore-Record
Summary:        Container for Dublin Core metadata elements
Url:            http://search.cpan.org/perldoc?DublinCore::Record
Group:          Development/Libraries/Perl
License:        Artistic License
Version:        0.03
Release:        8.1
Source:         %{real_name}-%{version}.tar.gz
BuildRequires:  perl-Class-Accessor
BuildRequires:  perl-macros
BuildRequires:  perl-Test-Pod-Coverage
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}

%description
^DublinCore::Record is an abstract class for manipulating DublinCore metadata.
The Dublin Core is a small set of metadata elements for describing information
resources. For more information on embedding DublinCore in HTML see RFC 2731.


Author:
-------
    Ed Summers <ehs@pobox.com>
    Brian Cassidy <bricas@cpan.org>


%prep
%setup -n %{real_name}-%{version}

%build
perl Makefile.PL 
make %{?jobs:-j%jobs}

%check
make test

%install
%perl_make_install
%perl_process_packlist

%clean
rm -rf %{buildroot}

%files 
%defattr(-, root, root)
%doc Changes README MANIFEST
%doc %{_mandir}/man?/*
%dir %{perl_vendorarch}/auto/DublinCore
%dir %{perl_vendorarch}/auto/DublinCore/Record
%dir %{perl_vendorlib}/DublinCore
%{perl_vendorlib}/DublinCore/*.pm

%changelog
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Sun Nov 28 2010 coolo@novell.com
- remove .packlist file
* Sun Nov 30 2008 lars@linux-schulserver.de
- initial version 0.03
